curl --request GET \
--url https://app.sendmux.ai/api/v1/inboxes/logs \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.sendmux.ai/api/v1/inboxes/logs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.sendmux.ai/api/v1/inboxes/logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.sendmux.ai/api/v1/inboxes/logs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"meta": {
"request_id": "req_clxxxxxxxxxxxxxxxxxxxxxxxxx"
},
"ok": true,
"data": [
{
"amount": "<string>",
"billing_bucket_start": "<string>",
"from_email": "<string>",
"id": "ilog_9ed2f2fdbacf38ef05c6a8b9",
"is_spam": true,
"mailbox_email": "<string>",
"mailbox_id": "<string>",
"message_id": "<string>",
"message_id_kind": "<string>",
"received_at": "<string>",
"size_bytes": 123,
"subject": "<string>",
"to_emails": [
"<string>"
],
"unit_amount": "<string>"
}
],
"pagination": {
"has_more": true,
"next_cursor": "<string>"
}
}{
"error": {
"code": "invalid_parameter",
"message": "<string>",
"retryable": false,
"doc_url": "<string>",
"errors": [
{
"code": "invalid_string",
"field": "recipient.email",
"message": "<string>"
}
],
"param": "<string>"
},
"meta": {
"request_id": "req_clxxxxxxxxxxxxxxxxxxxxxxxxx"
},
"ok": false
}{
"error": {
"code": "invalid_parameter",
"message": "<string>",
"retryable": false,
"doc_url": "<string>",
"errors": [
{
"code": "invalid_string",
"field": "recipient.email",
"message": "<string>"
}
],
"param": "<string>"
},
"meta": {
"request_id": "req_clxxxxxxxxxxxxxxxxxxxxxxxxx"
},
"ok": false
}List incoming logs
Returns paginated incoming message logs for billing accountability.
curl --request GET \
--url https://app.sendmux.ai/api/v1/inboxes/logs \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.sendmux.ai/api/v1/inboxes/logs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.sendmux.ai/api/v1/inboxes/logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.sendmux.ai/api/v1/inboxes/logs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"meta": {
"request_id": "req_clxxxxxxxxxxxxxxxxxxxxxxxxx"
},
"ok": true,
"data": [
{
"amount": "<string>",
"billing_bucket_start": "<string>",
"from_email": "<string>",
"id": "ilog_9ed2f2fdbacf38ef05c6a8b9",
"is_spam": true,
"mailbox_email": "<string>",
"mailbox_id": "<string>",
"message_id": "<string>",
"message_id_kind": "<string>",
"received_at": "<string>",
"size_bytes": 123,
"subject": "<string>",
"to_emails": [
"<string>"
],
"unit_amount": "<string>"
}
],
"pagination": {
"has_more": true,
"next_cursor": "<string>"
}
}{
"error": {
"code": "invalid_parameter",
"message": "<string>",
"retryable": false,
"doc_url": "<string>",
"errors": [
{
"code": "invalid_string",
"field": "recipient.email",
"message": "<string>"
}
],
"param": "<string>"
},
"meta": {
"request_id": "req_clxxxxxxxxxxxxxxxxxxxxxxxxx"
},
"ok": false
}{
"error": {
"code": "invalid_parameter",
"message": "<string>",
"retryable": false,
"doc_url": "<string>",
"errors": [
{
"code": "invalid_string",
"field": "recipient.email",
"message": "<string>"
}
],
"param": "<string>"
},
"meta": {
"request_id": "req_clxxxxxxxxxxxxxxxxxxxxxxxxx"
},
"ok": false
}Authorizations
Sendmux API key. Use a root API key for Management API routes, or a mailbox credential for Mailbox API routes. Obtain keys from the dashboard under API Keys.
Query Parameters
Max results (default 25)
1 <= x <= 100Cursor from previous page
Filter by mailbox public ID
message.received, message.received.spam ISO 8601 start date. Date-only values start at 00:00 UTC.
ISO 8601 end date. Date-only values include the full UTC day.
Search mailbox, sender, recipient, subject, or message ID
Response
Incoming log list
true Hide child attributes
Hide child attributes
Billable amount for this message in USD
ISO 8601 usage bucket start
message.received, message.received.spam Incoming log public ID
"ilog_9ed2f2fdbacf38ef05c6a8b9"
Mailbox email address
Mailbox public ID
Message identifier when available
Identifier source when available
ISO 8601 received timestamp
Per-message unit amount in USD
Was this page helpful?